Skip to main content
POST
/
api
/
v1
/
search
/
tables
/
{table_name}
/
data
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.tables.insertData({
    tableName: "<value>",
    insertDataRequest: {
      data: [
        {
          "category": "account",
          "content": "Reset your password from the account settings page.",
          "embedding": [
            0.13,
            -0.09,
            0.41,
          ],
          "id": "doc_001",
          "rating": 4.7,
        },
        {
          "category": "security",
          "content": "Use two-factor authentication for added account security.",
          "embedding": [
            0.07,
            -0.02,
            0.36,
          ],
          "id": "doc_002",
          "rating": 4.9,
        },
      ],
    },
  });

  console.log(result);
}

run();
{
  "count": 2,
  "message": "Successfully inserted 2 records into support_kb",
  "version": 3
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

table_name
string
required

Body

application/json
data
Data · object[]
required
refresh
boolean
default:true

Refresh non-vector indices. Any vector indices must be manually recreated through the create_indices endpoint.

Response

Successful Response

version
integer
required
count
integer
required
message
string
required